<script type="text/javascript">

	// function addPayment(event,obj,)


	function showPayPaymentModel(event,generic_type,generic)
	{
		event.preventDefault();

		var route = "{{url('showpaypaymentmodel')}}/"+generic_type+"/"+generic;

	     showLoader();
	    
		$.get(route, function(data, status)
		{
			$('#modal_add_payment').html(data);
			
			$('#md_add_payment').modal('show');

	        removeLoader();

	  	});
	}

	function showUpdatePayPaymentModel(event,payment)
	{
		event.preventDefault();

		var route = "{{url('showupdatepaypaymentmodel')}}/"+payment;

	     showLoader();
	    
		$.get(route, function(data, status)
		{
			$('#modal_update_payment').html(data);
			
			$('#md_update_payment').modal('show');

	        removeLoader();

	  	});
	}

	function showpaymentvoucherModel(event,payment,type)
	{
		event.preventDefault();

		var route = "{{url('showpaymentvoucher')}}/"+payment+"/"+type;

	     showLoader();
	    
		$.get(route, function(data, status)
		{
			$('#modal_payment_voucher').html(data);
			
			$('#md_pay_payment').modal('show');

	        removeLoader();

	  	});
	}
</script>
